Package com.clickhouse.jdbc

# Class DataSourceV1

java.lang.Object
com.clickhouse.jdbc.JdbcWrapper
com.clickhouse.jdbc.DataSourceV1

All Implemented Interfaces:
  `Wrapper`, `CommonDataSource`, `DataSource`

@Deprecated public class DataSourceV1 extends JdbcWrapper implements DataSource
Deprecated.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final ClickHouseJdbcUrlParser.ConnectionInfo`
`connInfo`
Deprecated.
`protected final DriverV1`
`driver`
Deprecated.
`protected int`
`loginTimeoutSeconds`
Deprecated.
`protected PrintWriter`
`printWriter`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`DataSourceV1(String url)`
Deprecated.
`DataSourceV1(String url, Properties properties)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`ClickHouseConnection`
`getConnection()`
Deprecated.
`ClickHouseConnection`
`getConnection(String username, String password)`
Deprecated.
`int`
`getLoginTimeout()`
Deprecated.
`PrintWriter`
`getLogWriter()`
Deprecated.
`Logger`
`getParentLogger()`
Deprecated.
`void`
`setLoginTimeout(int seconds)`
Deprecated.
`void`
`setLogWriter(PrintWriter out)`
Deprecated.

### Methods inherited from class com.clickhouse.jdbc.JdbcWrapper

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Field Details

### driver

protected final DriverV1 driver
Deprecated.

### connInfo

protected final ClickHouseJdbcUrlParser.ConnectionInfo connInfo
Deprecated.

### printWriter

protected PrintWriter printWriter
Deprecated.

### loginTimeoutSeconds

protected int loginTimeoutSeconds
Deprecated.

## Constructor Details

### DataSourceV1

public DataSourceV1(String url) throws SQLException
Deprecated.

Throws:
  `SQLException`

### DataSourceV1

public DataSourceV1(String url, Properties properties) throws SQLException
Deprecated.

Throws:
  `SQLException`

## Method Details

### getConnection

public ClickHouseConnection getConnection() throws SQLException
Deprecated.

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

### getConnection

public ClickHouseConnection getConnection(String username, String password) throws SQLException
Deprecated.

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

### getLogWriter

public PrintWriter getLogWriter() throws SQLException
Deprecated.

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Specified by:
  `getLogWriter` in interface `DataSource`
Throws:
  `SQLException`

### setLogWriter

public void setLogWriter(PrintWriter out) throws SQLException
Deprecated.

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Specified by:
  `setLogWriter` in interface `DataSource`
Throws:
  `SQLException`

### setLoginTimeout

public void setLoginTimeout(int seconds) throws SQLException
Deprecated.

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`
Specified by:
  `setLoginTimeout` in interface `DataSource`
Throws:
  `SQLException`

### getLoginTimeout

public int getLoginTimeout() throws SQLException
Deprecated.

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`
Specified by:
  `getLoginTimeout` in interface `DataSource`
Throws:
  `SQLException`

### getParentLogger

public Logger getParentLogger() throws SQLFeatureNotSupportedException
Deprecated.

Specified by:
  `getParentLogger` in interface `CommonDataSource`
Throws:
  `SQLFeatureNotSupportedException`